Bug 1498820 - Please update cmake3 to the newest CMake version (3.9)
Summary: Please update cmake3 to the newest CMake version (3.9)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cmake3
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-05 10:43 UTC by Alexander Korsunsky
Modified: 2018-05-03 15:03 UTC (History)
2 users (show)

Fixed In Version: cmake3-3.11.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 15:03:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander Korsunsky 2017-10-05 10:43:41 UTC
Description of problem:

Currently, the version of CMake in EPEL is at 3.6.3.
Unfortunately, this version is missing some features that are important to us, namely native support for the CUDA language [1].
This feature was introduced in CMake 3.8, and further refined in CMake 3.9.

I would kindly ask you to update the EPEL package to CMake 3.9.


[1] https://devblogs.nvidia.com/parallelforall/building-cuda-applications-cmake/


Version-Release number of selected component (if applicable): 3.6.3-1.el7.x86_64

Comment 1 Fedora Update System 2018-04-17 10:19:16 UTC
cmake3-3.11.0-1.el7 openmeeg-2.4-0.2.rc1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7a5ca43dc7

Comment 2 Alexander Korsunsky 2018-04-17 11:04:09 UTC
Hey there, thanks for taking this on!

However, I tried to install the package from Bodhi, but it failed to install due to the missing cmake3-data package:

$sudo yum install https://kojipkgs.fedoraproject.org//packages/cmake3/3.11.0/1.el7/x86_64/cmake3-3.11.0-1.el7.x86_64.rpm
Loaded plugins: fastestmirror
cmake3-3.11.0-1.el7.x86_64.rpm                                                                                                                                                              | 7.2 MB  00:00:09     
Examining /var/tmp/yum-root-1oRsu1/cmake3-3.11.0-1.el7.x86_64.rpm: cmake3-3.11.0-1.el7.x86_64
Marking /var/tmp/yum-root-1oRsu1/cmake3-3.11.0-1.el7.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package cmake3.x86_64 0:3.11.0-1.el7 will be installed
--> Processing Dependency: cmake3-data = 3.11.0-1.el7 for package: cmake3-3.11.0-1.el7.x86_64
--> Processing Dependency: libjsoncpp.so.0()(64bit) for package: cmake3-3.11.0-1.el7.x86_64
--> Processing Dependency: librhash.so.0()(64bit) for package: cmake3-3.11.0-1.el7.x86_64
--> Processing Dependency: libuv.so.1()(64bit) for package: cmake3-3.11.0-1.el7.x86_64
--> Running transaction check
---> Package cmake3.x86_64 0:3.11.0-1.el7 will be installed
--> Processing Dependency: cmake3-data = 3.11.0-1.el7 for package: cmake3-3.11.0-1.el7.x86_64
---> Package jsoncpp.x86_64 0:0.10.5-2.el7 will be installed
---> Package libuv.x86_64 1:1.19.2-1.el7 will be installed
---> Package rhash.x86_64 0:1.3.4-2.el7 will be installed
--> Finished Dependency Resolution
Error: Package: cmake3-3.11.0-1.el7.x86_64 (/cmake3-3.11.0-1.el7.x86_64)
           Requires: cmake3-data = 3.11.0-1.el7
           Available: cmake3-data-3.6.3-1.el7.noarch (epel)
               cmake3-data = 3.6.3-1.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



There also doesn't seem to be a cmake3-data package with the koji build, or at least I can't find it. If it exists somewhere, please kindly direct me to the download link.

Comment 3 Alexander Korsunsky 2018-04-17 11:13:34 UTC
Sorry, that was my mistake. I found the package and was able to install it like this:

```
yum install https://kojipkgs.fedoraproject.org//packages/cmake3/3.11.0/1.el7/x86_64/cmake3-3.11.0-1.el7.x86_64.rpm https://kojipkgs.fedoraproject.org/packages/cmake3/3.11.0/1.el7/noarch/cmake3-data-3.11.0-1.el7.noarch.rpm
```

and it seems to work. Thanks a lot!

I left a +1 in Bodhi for the update.

Comment 4 Fedora Update System 2018-04-18 02:12:12 UTC
cmake3-3.11.0-1.el7, openmeeg-2.4-0.2.rc1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7a5ca43dc7

Comment 5 Fedora Update System 2018-05-03 15:03:32 UTC
cmake3-3.11.0-1.el7, openmeeg-2.4-0.2.rc1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.